unit schStockServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schStockClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_StockPrendasCentrosDelta = '{161451C4-A2CF-4468-A880-DBA417307512}';
  RID_StockEDIDelta = '{F20A87B8-0277-4819-B7A6-667A9904EFA9}';
  RID_StockVARELADelta = '{B999E959-A4E5-4C5F-B87A-9CFB862CF28A}';
  RID_StockEDIInventarioDelta = '{11EC9F46-F7DD-486E-ACD2-5873746C963D}';

type
  { IStockPrendasCentrosDelta }
  IStockPrendasCentrosDelta = interface(IStockPrendasCentros)
  ['{161451C4-A2CF-4468-A880-DBA417307512}']
    { Property getters and setters }
    function GetOldCODIGOValue : String;
    function GetOldPRODUCTOValue : String;
    function GetOldTIPO_PRODUCTOValue : String;
    function GetOldGRUPO_PRODUCTOValue : String;
    function GetOldCOLECCIONValue : String;
    function GetOldCOLORValue : String;
    function GetOldT38Value : Float;
    function GetOldT40Value : Float;
    function GetOldT42Value : Float;
    function GetOldT44Value : Float;
    function GetOldT46Value : Float;
    function GetOldT48Value : Float;
    function GetOldTOTALValue : Float;

    { Properties }
    property OldCODIGO : String read GetOldCODIGOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property OldTIPO_PRODUCTO : String read GetOldTIPO_PRODUCTOValue;
    property OldGRUPO_PRODUCTO : String read GetOldGRUPO_PRODUCTOValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property OldT38 : Float read GetOldT38Value;
    property OldT40 : Float read GetOldT40Value;
    property OldT42 : Float read GetOldT42Value;
    property OldT44 : Float read GetOldT44Value;
    property OldT46 : Float read GetOldT46Value;
    property OldT48 : Float read GetOldT48Value;
    property OldTOTAL : Float read GetOldTOTALValue;
  end;

  { TStockPrendasCentrosBusinessProcessorRules }
  TStockPrendasCentrosBusinessProcessorRules = class(TDABusinessProcessorRules, IStockPrendasCentros, IStockPrendasCentrosDelta)
  private
  protected
    { Property getters and setters }
    function GetCODIGOValue: String; virtual;
    function GetOldCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    function GetOldPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetTIPO_PRODUCTOValue: String; virtual;
    function GetOldTIPO_PRODUCTOValue: String; virtual;
    procedure SetTIPO_PRODUCTOValue(const aValue: String); virtual;
    function GetGRUPO_PRODUCTOValue: String; virtual;
    function GetOldGRUPO_PRODUCTOValue: String; virtual;
    procedure SetGRUPO_PRODUCTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    function GetOldCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    function GetOldCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetT38Value: Float; virtual;
    function GetOldT38Value: Float; virtual;
    procedure SetT38Value(const aValue: Float); virtual;
    function GetT40Value: Float; virtual;
    function GetOldT40Value: Float; virtual;
    procedure SetT40Value(const aValue: Float); virtual;
    function GetT42Value: Float; virtual;
    function GetOldT42Value: Float; virtual;
    procedure SetT42Value(const aValue: Float); virtual;
    function GetT44Value: Float; virtual;
    function GetOldT44Value: Float; virtual;
    procedure SetT44Value(const aValue: Float); virtual;
    function GetT46Value: Float; virtual;
    function GetOldT46Value: Float; virtual;
    procedure SetT46Value(const aValue: Float); virtual;
    function GetT48Value: Float; virtual;
    function GetOldT48Value: Float; virtual;
    procedure SetT48Value(const aValue: Float); virtual;
    function GetTOTALValue: Float; virtual;
    function GetOldTOTALValue: Float; virtual;
    procedure SetTOTALValue(const aValue: Float); virtual;

    { Properties }
    property CODIGO : String read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property PRODUCTO : String read GetPRODUCTOValue write SetPRODUCTOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property TIPO_PRODUCTO : String read GetTIPO_PRODUCTOValue write SetTIPO_PRODUCTOValue;
    property OldTIPO_PRODUCTO : String read GetOldTIPO_PRODUCTOValue;
    property GRUPO_PRODUCTO : String read GetGRUPO_PRODUCTOValue write SetGRUPO_PRODUCTOValue;
    property OldGRUPO_PRODUCTO : String read GetOldGRUPO_PRODUCTOValue;
    property COLECCION : String read GetCOLECCIONValue write SetCOLECCIONValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property COLOR : String read GetCOLORValue write SetCOLORValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property T38 : Float read GetT38Value write SetT38Value;
    property OldT38 : Float read GetOldT38Value;
    property T40 : Float read GetT40Value write SetT40Value;
    property OldT40 : Float read GetOldT40Value;
    property T42 : Float read GetT42Value write SetT42Value;
    property OldT42 : Float read GetOldT42Value;
    property T44 : Float read GetT44Value write SetT44Value;
    property OldT44 : Float read GetOldT44Value;
    property T46 : Float read GetT46Value write SetT46Value;
    property OldT46 : Float read GetOldT46Value;
    property T48 : Float read GetT48Value write SetT48Value;
    property OldT48 : Float read GetOldT48Value;
    property TOTAL : Float read GetTOTALValue write SetTOTALValue;
    property OldTOTAL : Float read GetOldTOTALValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IStockEDIDelta }
  IStockEDIDelta = interface(IStockEDI)
  ['{F20A87B8-0277-4819-B7A6-667A9904EFA9}']
    { Property getters and setters }
    function GetOldCENTROValue : String;
    function GetOldCODIGOValue : String;
    function GetOldPRODUCTOValue : String;
    function GetOldTIPO_PRODUCTOValue : String;
    function GetOldGRUPO_PRODUCTOValue : String;
    function GetOldCOLECCIONValue : String;
    function GetOldCOLORValue : String;
    function GetOldE38Value : Float;
    function GetOldE40Value : Float;
    function GetOldE42Value : Float;
    function GetOldE44Value : Float;
    function GetOldE46Value : Float;
    function GetOldE48Value : Float;
    function GetOldTEValue : Float;
    function GetOldS38Value : Float;
    function GetOldS40Value : Float;
    function GetOldS42Value : Float;
    function GetOldS44Value : Float;
    function GetOldS46Value : Float;
    function GetOldS48Value : Float;
    function GetOldTSValue : Float;
    function GetOldK38Value : Float;
    function GetOldK40Value : Float;
    function GetOldK42Value : Float;
    function GetOldK44Value : Float;
    function GetOldK46Value : Float;
    function GetOldK48Value : Float;
    function GetOldKTValue : Float;

    { Properties }
    property OldCENTRO : String read GetOldCENTROValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property OldTIPO_PRODUCTO : String read GetOldTIPO_PRODUCTOValue;
    property OldGRUPO_PRODUCTO : String read GetOldGRUPO_PRODUCTOValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property OldE38 : Float read GetOldE38Value;
    property OldE40 : Float read GetOldE40Value;
    property OldE42 : Float read GetOldE42Value;
    property OldE44 : Float read GetOldE44Value;
    property OldE46 : Float read GetOldE46Value;
    property OldE48 : Float read GetOldE48Value;
    property OldTE : Float read GetOldTEValue;
    property OldS38 : Float read GetOldS38Value;
    property OldS40 : Float read GetOldS40Value;
    property OldS42 : Float read GetOldS42Value;
    property OldS44 : Float read GetOldS44Value;
    property OldS46 : Float read GetOldS46Value;
    property OldS48 : Float read GetOldS48Value;
    property OldTS : Float read GetOldTSValue;
    property OldK38 : Float read GetOldK38Value;
    property OldK40 : Float read GetOldK40Value;
    property OldK42 : Float read GetOldK42Value;
    property OldK44 : Float read GetOldK44Value;
    property OldK46 : Float read GetOldK46Value;
    property OldK48 : Float read GetOldK48Value;
    property OldKT : Float read GetOldKTValue;
  end;

  { TStockEDIBusinessProcessorRules }
  TStockEDIBusinessProcessorRules = class(TDABusinessProcessorRules, IStockEDI, IStockEDIDelta)
  private
  protected
    { Property getters and setters }
    function GetCENTROValue: String; virtual;
    function GetOldCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    function GetOldCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    function GetOldPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetTIPO_PRODUCTOValue: String; virtual;
    function GetOldTIPO_PRODUCTOValue: String; virtual;
    procedure SetTIPO_PRODUCTOValue(const aValue: String); virtual;
    function GetGRUPO_PRODUCTOValue: String; virtual;
    function GetOldGRUPO_PRODUCTOValue: String; virtual;
    procedure SetGRUPO_PRODUCTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    function GetOldCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    function GetOldCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetE38Value: Float; virtual;
    function GetOldE38Value: Float; virtual;
    procedure SetE38Value(const aValue: Float); virtual;
    function GetE40Value: Float; virtual;
    function GetOldE40Value: Float; virtual;
    procedure SetE40Value(const aValue: Float); virtual;
    function GetE42Value: Float; virtual;
    function GetOldE42Value: Float; virtual;
    procedure SetE42Value(const aValue: Float); virtual;
    function GetE44Value: Float; virtual;
    function GetOldE44Value: Float; virtual;
    procedure SetE44Value(const aValue: Float); virtual;
    function GetE46Value: Float; virtual;
    function GetOldE46Value: Float; virtual;
    procedure SetE46Value(const aValue: Float); virtual;
    function GetE48Value: Float; virtual;
    function GetOldE48Value: Float; virtual;
    procedure SetE48Value(const aValue: Float); virtual;
    function GetTEValue: Float; virtual;
    function GetOldTEValue: Float; virtual;
    procedure SetTEValue(const aValue: Float); virtual;
    function GetS38Value: Float; virtual;
    function GetOldS38Value: Float; virtual;
    procedure SetS38Value(const aValue: Float); virtual;
    function GetS40Value: Float; virtual;
    function GetOldS40Value: Float; virtual;
    procedure SetS40Value(const aValue: Float); virtual;
    function GetS42Value: Float; virtual;
    function GetOldS42Value: Float; virtual;
    procedure SetS42Value(const aValue: Float); virtual;
    function GetS44Value: Float; virtual;
    function GetOldS44Value: Float; virtual;
    procedure SetS44Value(const aValue: Float); virtual;
    function GetS46Value: Float; virtual;
    function GetOldS46Value: Float; virtual;
    procedure SetS46Value(const aValue: Float); virtual;
    function GetS48Value: Float; virtual;
    function GetOldS48Value: Float; virtual;
    procedure SetS48Value(const aValue: Float); virtual;
    function GetTSValue: Float; virtual;
    function GetOldTSValue: Float; virtual;
    procedure SetTSValue(const aValue: Float); virtual;
    function GetK38Value: Float; virtual;
    function GetOldK38Value: Float; virtual;
    procedure SetK38Value(const aValue: Float); virtual;
    function GetK40Value: Float; virtual;
    function GetOldK40Value: Float; virtual;
    procedure SetK40Value(const aValue: Float); virtual;
    function GetK42Value: Float; virtual;
    function GetOldK42Value: Float; virtual;
    procedure SetK42Value(const aValue: Float); virtual;
    function GetK44Value: Float; virtual;
    function GetOldK44Value: Float; virtual;
    procedure SetK44Value(const aValue: Float); virtual;
    function GetK46Value: Float; virtual;
    function GetOldK46Value: Float; virtual;
    procedure SetK46Value(const aValue: Float); virtual;
    function GetK48Value: Float; virtual;
    function GetOldK48Value: Float; virtual;
    procedure SetK48Value(const aValue: Float); virtual;
    function GetKTValue: Float; virtual;
    function GetOldKTValue: Float; virtual;
    procedure SetKTValue(const aValue: Float); virtual;

    { Properties }
    property CENTRO : String read GetCENTROValue write SetCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property CODIGO : String read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property PRODUCTO : String read GetPRODUCTOValue write SetPRODUCTOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property TIPO_PRODUCTO : String read GetTIPO_PRODUCTOValue write SetTIPO_PRODUCTOValue;
    property OldTIPO_PRODUCTO : String read GetOldTIPO_PRODUCTOValue;
    property GRUPO_PRODUCTO : String read GetGRUPO_PRODUCTOValue write SetGRUPO_PRODUCTOValue;
    property OldGRUPO_PRODUCTO : String read GetOldGRUPO_PRODUCTOValue;
    property COLECCION : String read GetCOLECCIONValue write SetCOLECCIONValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property COLOR : String read GetCOLORValue write SetCOLORValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property E38 : Float read GetE38Value write SetE38Value;
    property OldE38 : Float read GetOldE38Value;
    property E40 : Float read GetE40Value write SetE40Value;
    property OldE40 : Float read GetOldE40Value;
    property E42 : Float read GetE42Value write SetE42Value;
    property OldE42 : Float read GetOldE42Value;
    property E44 : Float read GetE44Value write SetE44Value;
    property OldE44 : Float read GetOldE44Value;
    property E46 : Float read GetE46Value write SetE46Value;
    property OldE46 : Float read GetOldE46Value;
    property E48 : Float read GetE48Value write SetE48Value;
    property OldE48 : Float read GetOldE48Value;
    property TE : Float read GetTEValue write SetTEValue;
    property OldTE : Float read GetOldTEValue;
    property S38 : Float read GetS38Value write SetS38Value;
    property OldS38 : Float read GetOldS38Value;
    property S40 : Float read GetS40Value write SetS40Value;
    property OldS40 : Float read GetOldS40Value;
    property S42 : Float read GetS42Value write SetS42Value;
    property OldS42 : Float read GetOldS42Value;
    property S44 : Float read GetS44Value write SetS44Value;
    property OldS44 : Float read GetOldS44Value;
    property S46 : Float read GetS46Value write SetS46Value;
    property OldS46 : Float read GetOldS46Value;
    property S48 : Float read GetS48Value write SetS48Value;
    property OldS48 : Float read GetOldS48Value;
    property TS : Float read GetTSValue write SetTSValue;
    property OldTS : Float read GetOldTSValue;
    property K38 : Float read GetK38Value write SetK38Value;
    property OldK38 : Float read GetOldK38Value;
    property K40 : Float read GetK40Value write SetK40Value;
    property OldK40 : Float read GetOldK40Value;
    property K42 : Float read GetK42Value write SetK42Value;
    property OldK42 : Float read GetOldK42Value;
    property K44 : Float read GetK44Value write SetK44Value;
    property OldK44 : Float read GetOldK44Value;
    property K46 : Float read GetK46Value write SetK46Value;
    property OldK46 : Float read GetOldK46Value;
    property K48 : Float read GetK48Value write SetK48Value;
    property OldK48 : Float read GetOldK48Value;
    property KT : Float read GetKTValue write SetKTValue;
    property OldKT : Float read GetOldKTValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IStockVARELADelta }
  IStockVARELADelta = interface(IStockVARELA)
  ['{B999E959-A4E5-4C5F-B87A-9CFB862CF28A}']
    { Property getters and setters }
    function GetOldFILIALValue : String;
    function GetOldCODIGOValue : String;
    function GetOldCOLORValue : String;
    function GetOldPRODUCTOValue : String;
    function GetOldTIPO_PRODUTOValue : String;
    function GetOldGRUPO_PRODUTOValue : String;
    function GetOldCOLECCIONValue : String;
    function GetOldK38Value : Integer;
    function GetOldK40Value : Integer;
    function GetOldK42Value : Integer;
    function GetOldK44Value : Integer;
    function GetOldK46Value : Integer;
    function GetOldK48Value : Integer;
    function GetOldKTValue : Integer;

    { Properties }
    property OldFILIAL : String read GetOldFILIALValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property OldTIPO_PRODUTO : String read GetOldTIPO_PRODUTOValue;
    property OldGRUPO_PRODUTO : String read GetOldGRUPO_PRODUTOValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property OldK38 : Integer read GetOldK38Value;
    property OldK40 : Integer read GetOldK40Value;
    property OldK42 : Integer read GetOldK42Value;
    property OldK44 : Integer read GetOldK44Value;
    property OldK46 : Integer read GetOldK46Value;
    property OldK48 : Integer read GetOldK48Value;
    property OldKT : Integer read GetOldKTValue;
  end;

  { TStockVARELABusinessProcessorRules }
  TStockVARELABusinessProcessorRules = class(TDABusinessProcessorRules, IStockVARELA, IStockVARELADelta)
  private
  protected
    { Property getters and setters }
    function GetFILIALValue: String; virtual;
    function GetOldFILIALValue: String; virtual;
    procedure SetFILIALValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    function GetOldCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    function GetOldCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    function GetOldPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetTIPO_PRODUTOValue: String; virtual;
    function GetOldTIPO_PRODUTOValue: String; virtual;
    procedure SetTIPO_PRODUTOValue(const aValue: String); virtual;
    function GetGRUPO_PRODUTOValue: String; virtual;
    function GetOldGRUPO_PRODUTOValue: String; virtual;
    procedure SetGRUPO_PRODUTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    function GetOldCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetK38Value: Integer; virtual;
    function GetOldK38Value: Integer; virtual;
    procedure SetK38Value(const aValue: Integer); virtual;
    function GetK40Value: Integer; virtual;
    function GetOldK40Value: Integer; virtual;
    procedure SetK40Value(const aValue: Integer); virtual;
    function GetK42Value: Integer; virtual;
    function GetOldK42Value: Integer; virtual;
    procedure SetK42Value(const aValue: Integer); virtual;
    function GetK44Value: Integer; virtual;
    function GetOldK44Value: Integer; virtual;
    procedure SetK44Value(const aValue: Integer); virtual;
    function GetK46Value: Integer; virtual;
    function GetOldK46Value: Integer; virtual;
    procedure SetK46Value(const aValue: Integer); virtual;
    function GetK48Value: Integer; virtual;
    function GetOldK48Value: Integer; virtual;
    procedure SetK48Value(const aValue: Integer); virtual;
    function GetKTValue: Integer; virtual;
    function GetOldKTValue: Integer; virtual;
    procedure SetKTValue(const aValue: Integer); virtual;

    { Properties }
    property FILIAL : String read GetFILIALValue write SetFILIALValue;
    property OldFILIAL : String read GetOldFILIALValue;
    property CODIGO : String read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property COLOR : String read GetCOLORValue write SetCOLORValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property PRODUCTO : String read GetPRODUCTOValue write SetPRODUCTOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property TIPO_PRODUTO : String read GetTIPO_PRODUTOValue write SetTIPO_PRODUTOValue;
    property OldTIPO_PRODUTO : String read GetOldTIPO_PRODUTOValue;
    property GRUPO_PRODUTO : String read GetGRUPO_PRODUTOValue write SetGRUPO_PRODUTOValue;
    property OldGRUPO_PRODUTO : String read GetOldGRUPO_PRODUTOValue;
    property COLECCION : String read GetCOLECCIONValue write SetCOLECCIONValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property K38 : Integer read GetK38Value write SetK38Value;
    property OldK38 : Integer read GetOldK38Value;
    property K40 : Integer read GetK40Value write SetK40Value;
    property OldK40 : Integer read GetOldK40Value;
    property K42 : Integer read GetK42Value write SetK42Value;
    property OldK42 : Integer read GetOldK42Value;
    property K44 : Integer read GetK44Value write SetK44Value;
    property OldK44 : Integer read GetOldK44Value;
    property K46 : Integer read GetK46Value write SetK46Value;
    property OldK46 : Integer read GetOldK46Value;
    property K48 : Integer read GetK48Value write SetK48Value;
    property OldK48 : Integer read GetOldK48Value;
    property KT : Integer read GetKTValue write SetKTValue;
    property OldKT : Integer read GetOldKTValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IStockEDIInventarioDelta }
  IStockEDIInventarioDelta = interface(IStockEDIInventario)
  ['{11EC9F46-F7DD-486E-ACD2-5873746C963D}']
    { Property getters and setters }
    function GetOldCENTROValue : String;
    function GetOldCODIGOValue : String;
    function GetOldPRODUCTOValue : String;
    function GetOldCOLORValue : String;
    function GetOldTIPO_PRODUCTOValue : String;
    function GetOldGRUPO_PRODUCTOValue : String;
    function GetOldCOLECCIONValue : String;
    function GetOldI38Value : Float;
    function GetOldI40Value : Float;
    function GetOldI42Value : Float;
    function GetOldI44Value : Float;
    function GetOldI46Value : Float;
    function GetOldI48Value : Float;
    function GetOldTIValue : Float;
    function GetOldK38Value : Float;
    function GetOldK40Value : Float;
    function GetOldK42Value : Float;
    function GetOldK44Value : Float;
    function GetOldK46Value : Float;
    function GetOldK48Value : Float;
    function GetOldTKValue : Float;
    function GetOldD38Value : Float;
    function GetOldD40Value : Float;
    function GetOldD42Value : Float;
    function GetOldD44Value : Float;
    function GetOldD46Value : Float;
    function GetOldD48Value : Float;
    function GetOldDTValue : Float;

    { Properties }
    property OldCENTRO : String read GetOldCENTROValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property OldTIPO_PRODUCTO : String read GetOldTIPO_PRODUCTOValue;
    property OldGRUPO_PRODUCTO : String read GetOldGRUPO_PRODUCTOValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property OldI38 : Float read GetOldI38Value;
    property OldI40 : Float read GetOldI40Value;
    property OldI42 : Float read GetOldI42Value;
    property OldI44 : Float read GetOldI44Value;
    property OldI46 : Float read GetOldI46Value;
    property OldI48 : Float read GetOldI48Value;
    property OldTI : Float read GetOldTIValue;
    property OldK38 : Float read GetOldK38Value;
    property OldK40 : Float read GetOldK40Value;
    property OldK42 : Float read GetOldK42Value;
    property OldK44 : Float read GetOldK44Value;
    property OldK46 : Float read GetOldK46Value;
    property OldK48 : Float read GetOldK48Value;
    property OldTK : Float read GetOldTKValue;
    property OldD38 : Float read GetOldD38Value;
    property OldD40 : Float read GetOldD40Value;
    property OldD42 : Float read GetOldD42Value;
    property OldD44 : Float read GetOldD44Value;
    property OldD46 : Float read GetOldD46Value;
    property OldD48 : Float read GetOldD48Value;
    property OldDT : Float read GetOldDTValue;
  end;

  { TStockEDIInventarioBusinessProcessorRules }
  TStockEDIInventarioBusinessProcessorRules = class(TDABusinessProcessorRules, IStockEDIInventario, IStockEDIInventarioDelta)
  private
  protected
    { Property getters and setters }
    function GetCENTROValue: String; virtual;
    function GetOldCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetCODIGOValue: String; virtual;
    function GetOldCODIGOValue: String; virtual;
    procedure SetCODIGOValue(const aValue: String); virtual;
    function GetPRODUCTOValue: String; virtual;
    function GetOldPRODUCTOValue: String; virtual;
    procedure SetPRODUCTOValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    function GetOldCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetTIPO_PRODUCTOValue: String; virtual;
    function GetOldTIPO_PRODUCTOValue: String; virtual;
    procedure SetTIPO_PRODUCTOValue(const aValue: String); virtual;
    function GetGRUPO_PRODUCTOValue: String; virtual;
    function GetOldGRUPO_PRODUCTOValue: String; virtual;
    procedure SetGRUPO_PRODUCTOValue(const aValue: String); virtual;
    function GetCOLECCIONValue: String; virtual;
    function GetOldCOLECCIONValue: String; virtual;
    procedure SetCOLECCIONValue(const aValue: String); virtual;
    function GetI38Value: Float; virtual;
    function GetOldI38Value: Float; virtual;
    procedure SetI38Value(const aValue: Float); virtual;
    function GetI40Value: Float; virtual;
    function GetOldI40Value: Float; virtual;
    procedure SetI40Value(const aValue: Float); virtual;
    function GetI42Value: Float; virtual;
    function GetOldI42Value: Float; virtual;
    procedure SetI42Value(const aValue: Float); virtual;
    function GetI44Value: Float; virtual;
    function GetOldI44Value: Float; virtual;
    procedure SetI44Value(const aValue: Float); virtual;
    function GetI46Value: Float; virtual;
    function GetOldI46Value: Float; virtual;
    procedure SetI46Value(const aValue: Float); virtual;
    function GetI48Value: Float; virtual;
    function GetOldI48Value: Float; virtual;
    procedure SetI48Value(const aValue: Float); virtual;
    function GetTIValue: Float; virtual;
    function GetOldTIValue: Float; virtual;
    procedure SetTIValue(const aValue: Float); virtual;
    function GetK38Value: Float; virtual;
    function GetOldK38Value: Float; virtual;
    procedure SetK38Value(const aValue: Float); virtual;
    function GetK40Value: Float; virtual;
    function GetOldK40Value: Float; virtual;
    procedure SetK40Value(const aValue: Float); virtual;
    function GetK42Value: Float; virtual;
    function GetOldK42Value: Float; virtual;
    procedure SetK42Value(const aValue: Float); virtual;
    function GetK44Value: Float; virtual;
    function GetOldK44Value: Float; virtual;
    procedure SetK44Value(const aValue: Float); virtual;
    function GetK46Value: Float; virtual;
    function GetOldK46Value: Float; virtual;
    procedure SetK46Value(const aValue: Float); virtual;
    function GetK48Value: Float; virtual;
    function GetOldK48Value: Float; virtual;
    procedure SetK48Value(const aValue: Float); virtual;
    function GetTKValue: Float; virtual;
    function GetOldTKValue: Float; virtual;
    procedure SetTKValue(const aValue: Float); virtual;
    function GetD38Value: Float; virtual;
    function GetOldD38Value: Float; virtual;
    procedure SetD38Value(const aValue: Float); virtual;
    function GetD40Value: Float; virtual;
    function GetOldD40Value: Float; virtual;
    procedure SetD40Value(const aValue: Float); virtual;
    function GetD42Value: Float; virtual;
    function GetOldD42Value: Float; virtual;
    procedure SetD42Value(const aValue: Float); virtual;
    function GetD44Value: Float; virtual;
    function GetOldD44Value: Float; virtual;
    procedure SetD44Value(const aValue: Float); virtual;
    function GetD46Value: Float; virtual;
    function GetOldD46Value: Float; virtual;
    procedure SetD46Value(const aValue: Float); virtual;
    function GetD48Value: Float; virtual;
    function GetOldD48Value: Float; virtual;
    procedure SetD48Value(const aValue: Float); virtual;
    function GetDTValue: Float; virtual;
    function GetOldDTValue: Float; virtual;
    procedure SetDTValue(const aValue: Float); virtual;

    { Properties }
    property CENTRO : String read GetCENTROValue write SetCENTROValue;
    property OldCENTRO : String read GetOldCENTROValue;
    property CODIGO : String read GetCODIGOValue write SetCODIGOValue;
    property OldCODIGO : String read GetOldCODIGOValue;
    property PRODUCTO : String read GetPRODUCTOValue write SetPRODUCTOValue;
    property OldPRODUCTO : String read GetOldPRODUCTOValue;
    property COLOR : String read GetCOLORValue write SetCOLORValue;
    property OldCOLOR : String read GetOldCOLORValue;
    property TIPO_PRODUCTO : String read GetTIPO_PRODUCTOValue write SetTIPO_PRODUCTOValue;
    property OldTIPO_PRODUCTO : String read GetOldTIPO_PRODUCTOValue;
    property GRUPO_PRODUCTO : String read GetGRUPO_PRODUCTOValue write SetGRUPO_PRODUCTOValue;
    property OldGRUPO_PRODUCTO : String read GetOldGRUPO_PRODUCTOValue;
    property COLECCION : String read GetCOLECCIONValue write SetCOLECCIONValue;
    property OldCOLECCION : String read GetOldCOLECCIONValue;
    property I38 : Float read GetI38Value write SetI38Value;
    property OldI38 : Float read GetOldI38Value;
    property I40 : Float read GetI40Value write SetI40Value;
    property OldI40 : Float read GetOldI40Value;
    property I42 : Float read GetI42Value write SetI42Value;
    property OldI42 : Float read GetOldI42Value;
    property I44 : Float read GetI44Value write SetI44Value;
    property OldI44 : Float read GetOldI44Value;
    property I46 : Float read GetI46Value write SetI46Value;
    property OldI46 : Float read GetOldI46Value;
    property I48 : Float read GetI48Value write SetI48Value;
    property OldI48 : Float read GetOldI48Value;
    property TI : Float read GetTIValue write SetTIValue;
    property OldTI : Float read GetOldTIValue;
    property K38 : Float read GetK38Value write SetK38Value;
    property OldK38 : Float read GetOldK38Value;
    property K40 : Float read GetK40Value write SetK40Value;
    property OldK40 : Float read GetOldK40Value;
    property K42 : Float read GetK42Value write SetK42Value;
    property OldK42 : Float read GetOldK42Value;
    property K44 : Float read GetK44Value write SetK44Value;
    property OldK44 : Float read GetOldK44Value;
    property K46 : Float read GetK46Value write SetK46Value;
    property OldK46 : Float read GetOldK46Value;
    property K48 : Float read GetK48Value write SetK48Value;
    property OldK48 : Float read GetOldK48Value;
    property TK : Float read GetTKValue write SetTKValue;
    property OldTK : Float read GetOldTKValue;
    property D38 : Float read GetD38Value write SetD38Value;
    property OldD38 : Float read GetOldD38Value;
    property D40 : Float read GetD40Value write SetD40Value;
    property OldD40 : Float read GetOldD40Value;
    property D42 : Float read GetD42Value write SetD42Value;
    property OldD42 : Float read GetOldD42Value;
    property D44 : Float read GetD44Value write SetD44Value;
    property OldD44 : Float read GetOldD44Value;
    property D46 : Float read GetD46Value write SetD46Value;
    property OldD46 : Float read GetOldD46Value;
    property D48 : Float read GetD48Value write SetD48Value;
    property OldD48 : Float read GetOldD48Value;
    property DT : Float read GetDTValue write SetDTValue;
    property OldDT : Float read GetOldDTValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TStockPrendasCentrosBusinessProcessorRules }
constructor TStockPrendasCentrosBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TStockPrendasCentrosBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosCODIGO];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosCODIGO];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetCODIGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosCODIGO] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosPRODUCTO];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosPRODUCTO];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosPRODUCTO] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetTIPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosTIPO_PRODUCTO];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldTIPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosTIPO_PRODUCTO];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetTIPO_PRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosTIPO_PRODUCTO] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetGRUPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosGRUPO_PRODUCTO];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldGRUPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosGRUPO_PRODUCTO];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetGRUPO_PRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosGRUPO_PRODUCTO] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosCOLECCION];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosCOLECCION];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetCOLECCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosCOLECCION] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosCOLOR];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosCOLOR];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetCOLORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosCOLOR] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetT38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT38];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldT38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosT38];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetT38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT38] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetT40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT40];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldT40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosT40];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetT40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT40] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetT42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT42];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldT42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosT42];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetT42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT42] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetT44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT44];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldT44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosT44];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetT44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT44] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetT46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT46];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldT46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosT46];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetT46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT46] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetT48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT48];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldT48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosT48];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetT48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosT48] := aValue;
end;

function TStockPrendasCentrosBusinessProcessorRules.GetTOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosTOTAL];
end;

function TStockPrendasCentrosBusinessProcessorRules.GetOldTOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockPrendasCentrosTOTAL];
end;

procedure TStockPrendasCentrosBusinessProcessorRules.SetTOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockPrendasCentrosTOTAL] := aValue;
end;


{ TStockEDIBusinessProcessorRules }
constructor TStockEDIBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TStockEDIBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TStockEDIBusinessProcessorRules.GetCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICENTRO];
end;

function TStockEDIBusinessProcessorRules.GetOldCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDICENTRO];
end;

procedure TStockEDIBusinessProcessorRules.SetCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICENTRO] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICODIGO];
end;

function TStockEDIBusinessProcessorRules.GetOldCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDICODIGO];
end;

procedure TStockEDIBusinessProcessorRules.SetCODIGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICODIGO] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIPRODUCTO];
end;

function TStockEDIBusinessProcessorRules.GetOldPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIPRODUCTO];
end;

procedure TStockEDIBusinessProcessorRules.SetPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIPRODUCTO] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetTIPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDITIPO_PRODUCTO];
end;

function TStockEDIBusinessProcessorRules.GetOldTIPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDITIPO_PRODUCTO];
end;

procedure TStockEDIBusinessProcessorRules.SetTIPO_PRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDITIPO_PRODUCTO] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetGRUPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIGRUPO_PRODUCTO];
end;

function TStockEDIBusinessProcessorRules.GetOldGRUPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIGRUPO_PRODUCTO];
end;

procedure TStockEDIBusinessProcessorRules.SetGRUPO_PRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIGRUPO_PRODUCTO] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICOLECCION];
end;

function TStockEDIBusinessProcessorRules.GetOldCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDICOLECCION];
end;

procedure TStockEDIBusinessProcessorRules.SetCOLECCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICOLECCION] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICOLOR];
end;

function TStockEDIBusinessProcessorRules.GetOldCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDICOLOR];
end;

procedure TStockEDIBusinessProcessorRules.SetCOLORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDICOLOR] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetE38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE38];
end;

function TStockEDIBusinessProcessorRules.GetOldE38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIE38];
end;

procedure TStockEDIBusinessProcessorRules.SetE38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE38] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetE40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE40];
end;

function TStockEDIBusinessProcessorRules.GetOldE40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIE40];
end;

procedure TStockEDIBusinessProcessorRules.SetE40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE40] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetE42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE42];
end;

function TStockEDIBusinessProcessorRules.GetOldE42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIE42];
end;

procedure TStockEDIBusinessProcessorRules.SetE42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE42] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetE44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE44];
end;

function TStockEDIBusinessProcessorRules.GetOldE44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIE44];
end;

procedure TStockEDIBusinessProcessorRules.SetE44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE44] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetE46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE46];
end;

function TStockEDIBusinessProcessorRules.GetOldE46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIE46];
end;

procedure TStockEDIBusinessProcessorRules.SetE46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE46] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetE48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE48];
end;

function TStockEDIBusinessProcessorRules.GetOldE48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIE48];
end;

procedure TStockEDIBusinessProcessorRules.SetE48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIE48] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDITE];
end;

function TStockEDIBusinessProcessorRules.GetOldTEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDITE];
end;

procedure TStockEDIBusinessProcessorRules.SetTEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDITE] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetS38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS38];
end;

function TStockEDIBusinessProcessorRules.GetOldS38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIS38];
end;

procedure TStockEDIBusinessProcessorRules.SetS38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS38] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetS40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS40];
end;

function TStockEDIBusinessProcessorRules.GetOldS40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIS40];
end;

procedure TStockEDIBusinessProcessorRules.SetS40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS40] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetS42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS42];
end;

function TStockEDIBusinessProcessorRules.GetOldS42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIS42];
end;

procedure TStockEDIBusinessProcessorRules.SetS42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS42] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetS44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS44];
end;

function TStockEDIBusinessProcessorRules.GetOldS44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIS44];
end;

procedure TStockEDIBusinessProcessorRules.SetS44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS44] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetS46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS46];
end;

function TStockEDIBusinessProcessorRules.GetOldS46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIS46];
end;

procedure TStockEDIBusinessProcessorRules.SetS46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS46] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetS48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS48];
end;

function TStockEDIBusinessProcessorRules.GetOldS48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIS48];
end;

procedure TStockEDIBusinessProcessorRules.SetS48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIS48] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetTSValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDITS];
end;

function TStockEDIBusinessProcessorRules.GetOldTSValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDITS];
end;

procedure TStockEDIBusinessProcessorRules.SetTSValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDITS] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetK38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK38];
end;

function TStockEDIBusinessProcessorRules.GetOldK38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIK38];
end;

procedure TStockEDIBusinessProcessorRules.SetK38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK38] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetK40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK40];
end;

function TStockEDIBusinessProcessorRules.GetOldK40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIK40];
end;

procedure TStockEDIBusinessProcessorRules.SetK40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK40] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetK42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK42];
end;

function TStockEDIBusinessProcessorRules.GetOldK42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIK42];
end;

procedure TStockEDIBusinessProcessorRules.SetK42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK42] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetK44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK44];
end;

function TStockEDIBusinessProcessorRules.GetOldK44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIK44];
end;

procedure TStockEDIBusinessProcessorRules.SetK44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK44] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetK46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK46];
end;

function TStockEDIBusinessProcessorRules.GetOldK46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIK46];
end;

procedure TStockEDIBusinessProcessorRules.SetK46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK46] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetK48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK48];
end;

function TStockEDIBusinessProcessorRules.GetOldK48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIK48];
end;

procedure TStockEDIBusinessProcessorRules.SetK48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIK48] := aValue;
end;

function TStockEDIBusinessProcessorRules.GetKTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIKT];
end;

function TStockEDIBusinessProcessorRules.GetOldKTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIKT];
end;

procedure TStockEDIBusinessProcessorRules.SetKTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIKT] := aValue;
end;


{ TStockVARELABusinessProcessorRules }
constructor TStockVARELABusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TStockVARELABusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TStockVARELABusinessProcessorRules.GetFILIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAFILIAL];
end;

function TStockVARELABusinessProcessorRules.GetOldFILIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAFILIAL];
end;

procedure TStockVARELABusinessProcessorRules.SetFILIALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAFILIAL] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELACODIGO];
end;

function TStockVARELABusinessProcessorRules.GetOldCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELACODIGO];
end;

procedure TStockVARELABusinessProcessorRules.SetCODIGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELACODIGO] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELACOLOR];
end;

function TStockVARELABusinessProcessorRules.GetOldCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELACOLOR];
end;

procedure TStockVARELABusinessProcessorRules.SetCOLORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELACOLOR] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAPRODUCTO];
end;

function TStockVARELABusinessProcessorRules.GetOldPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAPRODUCTO];
end;

procedure TStockVARELABusinessProcessorRules.SetPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAPRODUCTO] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetTIPO_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELATIPO_PRODUTO];
end;

function TStockVARELABusinessProcessorRules.GetOldTIPO_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELATIPO_PRODUTO];
end;

procedure TStockVARELABusinessProcessorRules.SetTIPO_PRODUTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELATIPO_PRODUTO] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetGRUPO_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAGRUPO_PRODUTO];
end;

function TStockVARELABusinessProcessorRules.GetOldGRUPO_PRODUTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAGRUPO_PRODUTO];
end;

procedure TStockVARELABusinessProcessorRules.SetGRUPO_PRODUTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAGRUPO_PRODUTO] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELACOLECCION];
end;

function TStockVARELABusinessProcessorRules.GetOldCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELACOLECCION];
end;

procedure TStockVARELABusinessProcessorRules.SetCOLECCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELACOLECCION] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetK38Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK38];
end;

function TStockVARELABusinessProcessorRules.GetOldK38Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAK38];
end;

procedure TStockVARELABusinessProcessorRules.SetK38Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK38] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetK40Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK40];
end;

function TStockVARELABusinessProcessorRules.GetOldK40Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAK40];
end;

procedure TStockVARELABusinessProcessorRules.SetK40Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK40] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetK42Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK42];
end;

function TStockVARELABusinessProcessorRules.GetOldK42Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAK42];
end;

procedure TStockVARELABusinessProcessorRules.SetK42Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK42] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetK44Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK44];
end;

function TStockVARELABusinessProcessorRules.GetOldK44Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAK44];
end;

procedure TStockVARELABusinessProcessorRules.SetK44Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK44] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetK46Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK46];
end;

function TStockVARELABusinessProcessorRules.GetOldK46Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAK46];
end;

procedure TStockVARELABusinessProcessorRules.SetK46Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK46] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetK48Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK48];
end;

function TStockVARELABusinessProcessorRules.GetOldK48Value: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAK48];
end;

procedure TStockVARELABusinessProcessorRules.SetK48Value(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAK48] := aValue;
end;

function TStockVARELABusinessProcessorRules.GetKTValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAKT];
end;

function TStockVARELABusinessProcessorRules.GetOldKTValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockVARELAKT];
end;

procedure TStockVARELABusinessProcessorRules.SetKTValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockVARELAKT] := aValue;
end;


{ TStockEDIInventarioBusinessProcessorRules }
constructor TStockEDIInventarioBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TStockEDIInventarioBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TStockEDIInventarioBusinessProcessorRules.GetCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCENTRO];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldCENTROValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioCENTRO];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetCENTROValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCENTRO] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCODIGO];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldCODIGOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioCODIGO];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetCODIGOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCODIGO] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioPRODUCTO];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldPRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioPRODUCTO];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetPRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioPRODUCTO] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCOLOR];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldCOLORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioCOLOR];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetCOLORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCOLOR] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetTIPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioTIPO_PRODUCTO];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldTIPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioTIPO_PRODUCTO];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetTIPO_PRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioTIPO_PRODUCTO] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetGRUPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioGRUPO_PRODUCTO];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldGRUPO_PRODUCTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioGRUPO_PRODUCTO];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetGRUPO_PRODUCTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioGRUPO_PRODUCTO] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCOLECCION];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldCOLECCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioCOLECCION];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetCOLECCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioCOLECCION] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetI38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI38];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldI38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioI38];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetI38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI38] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetI40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI40];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldI40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioI40];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetI40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI40] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetI42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI42];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldI42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioI42];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetI42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI42] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetI44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI44];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldI44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioI44];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetI44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI44] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetI46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI46];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldI46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioI46];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetI46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI46] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetI48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI48];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldI48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioI48];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetI48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioI48] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetTIValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioTI];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldTIValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioTI];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetTIValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioTI] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetK38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK38];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldK38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioK38];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetK38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK38] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetK40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK40];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldK40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioK40];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetK40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK40] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetK42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK42];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldK42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioK42];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetK42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK42] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetK44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK44];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldK44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioK44];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetK44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK44] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetK46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK46];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldK46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioK46];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetK46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK46] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetK48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK48];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldK48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioK48];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetK48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioK48] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetTKValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioTK];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldTKValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioTK];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetTKValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioTK] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetD38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD38];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldD38Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioD38];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetD38Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD38] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetD40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD40];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldD40Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioD40];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetD40Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD40] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetD42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD42];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldD42Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioD42];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetD42Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD42] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetD44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD44];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldD44Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioD44];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetD44Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD44] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetD46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD46];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldD46Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioD46];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetD46Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD46] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetD48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD48];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldD48Value: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioD48];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetD48Value(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioD48] := aValue;
end;

function TStockEDIInventarioBusinessProcessorRules.GetDTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioDT];
end;

function TStockEDIInventarioBusinessProcessorRules.GetOldDTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_StockEDIInventarioDT];
end;

procedure TStockEDIInventarioBusinessProcessorRules.SetDTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_StockEDIInventarioDT] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_StockPrendasCentrosDelta, TStockPrendasCentrosBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_StockEDIDelta, TStockEDIBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_StockVARELADelta, TStockVARELABusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_StockEDIInventarioDelta, TStockEDIInventarioBusinessProcessorRules);

end.
